.setting-container {
  max-width: 1360px;
  margin: 0 auto;
}

.setting-container .setting-wrapping {
  padding: 1rem 1rem;
}

.setting-container .setting-wrapping .setting-left .setting-left-wrapper {
  background-color: var(--blockDisplayProfile);
  padding: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  border-radius: 0 0 1rem 1rem;
  color: var(--textOnBlockProfile);
  box-sizing: border-box;
  margin-bottom: 1rem;
}

.setting-container
  .setting-wrapping
  .setting-left
  .setting-left-wrapper
  .lazy-load-setting {
  margin-bottom: 2.5rem;
  background-image: linear-gradient(
    89deg,
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
  animation: 4s ease-in-out 1ms infinite normal backwards running
    animation-loading;
}

.setting-container
  .setting-wrapping
  .setting-left
  .setting-left-wrapper
  .photo {
  width: 200px;
  height: 200px;
  position: relative;
  overflow: hidden;
  border-radius: 110px;
  margin: 1.5rem 0 3rem;
  border: 0.3rem solid var(--textOnBlockProfile);
}

.setting-container
  .setting-wrapping
  .setting-left
  .setting-left-wrapper
  .photo
  img {
  transition: 0.5s ease;
  opacity: 1;
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
  max-height: 50%;
}

.setting-container
  .setting-wrapping
  .setting-left
  .setting-left-wrapper
  .photo:hover
  img {
  opacity: 0.5;
}

.setting-container
  .setting-wrapping
  .setting-left
  .setting-left-wrapper
  .photo
  .photo-overlay {
  transition: 0.5s ease;
  opacity: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  text-align: center;
}

.setting-container
  .setting-wrapping
  .setting-left
  .setting-left-wrapper
  .photo:hover
  .photo-overlay {
  opacity: 1;
}

.setting-container
  .setting-wrapping
  .setting-left
  .setting-left-wrapper
  .photo
  .photo-overlay
  .edit-cont {
  padding: 0.5rem 1rem;
  background-color: var(--mainSecondBtn);
  border-radius: 0.5rem;
  cursor: pointer;
  transition: 0.3s ease;
}

.setting-container
  .setting-wrapping
  .setting-left
  .setting-left-wrapper
  .photo
  .photo-overlay
  .edit-cont
  p {
  margin: 0;
}

.setting-container
  .setting-wrapping
  .setting-left
  .setting-left-wrapper
  .photo
  .photo-overlay
  .edit-cont:hover {
  background-color: var(--hoverSecondBtn);
}

.setting-container
  .setting-wrapping
  .setting-left
  .setting-left-wrapper
  .photo
  .photo-overlay
  .edit-cont:active {
  background-color: var(--activeSecondBtn);
}

.setting-container .setting-wrapping .setting-left .setting-left-wrapper h1 {
  margin-bottom: 2rem;
  font-weight: 600;
}

.setting-container
  .setting-wrapping
  .setting-left
  .setting-left-wrapper
  .location-setting
  p {
  font-weight: bold;
  font-size: 1.1rem;
  margin-bottom: 2rem;
}

.setting-container .setting-wrapping .setting-left .setting-left-wrapper p {
  font-size: 0.9rem;
  line-height: 1rem;
  margin-bottom: 3rem;
}

.setting-container
  .setting-wrapping
  .setting-left
  .setting-left-wrapper
  .interest {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-bottom: 1.5rem;
}

.setting-container
  .setting-wrapping
  .setting-left
  .setting-left-wrapper
  .interest
  .interest-box {
  margin: 0 0.5rem;
  background-color: var(--interestBg);
  padding: 0.5rem 1rem;
  border-radius: 1rem;
  color: var(--interestContent);
  font-weight: bold;
  margin-bottom: 1.5rem;
}

.setting-container
  .setting-wrapping
  .setting-left
  .setting-left-wrapper
  .interest
  .interest-box
  p {
  font-size: 0.9rem;
  line-height: normal;
  letter-spacing: normal;
  margin: 0;
}

.setting-container .setting-wrapping .setting-right .setting-right-wrapper {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  form
  .untuk-upload {
  border: none;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .button-for-upload-header {
  margin: 0 auto 2rem;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .upload-image {
  width: 0.1px;
  height: 0.1px;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  z-index: -1;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .upload-image
  + label {
  font-weight: 600;
  font-size: 0.8rem;
  margin: 0 0.5rem 0.5rem;
  padding: 0.5rem 1rem;
  display: inline-block;
  cursor: pointer;
  border-radius: 0.5rem;
  background-color: var(--mainHeroInvBtn);
  border: 0.13rem solid var(--mainHeroInvBorderBtn);
  box-sizing: border-box;
  color: var(--mainHeroText);
  transition: 0.3s ease;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .title {
  padding: 1.5rem 0 2rem;
  background-image: linear-gradient(
    var(--blockDisplayProfile) 40%,
    var(--fadeOutProfile) 99%
  );
  margin-bottom: 1.5rem;
  border-radius: 1rem 1rem 0 0;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .title
  h2 {
  font-size: 1.3rem;
  text-align: center;
  color: var(--textOnBlockProfile);
  margin-bottom: 1rem;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  form {
  color: var(--text);
  padding: 0 1rem;
  display: flex;
  flex-direction: column;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  form
  :nth-child(2n-1) {
  font-size: 0.9rem;
  font-weight: bold;
  margin: 0.5rem auto;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  form
  textarea,
.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  form
  .save-changes {
  margin-bottom: 1rem;
  border: 0.13rem solid var(--border);
  border-radius: 0.4rem;
  padding: 6px 12px;
  font-size: 0.8rem;
  resize: none;
  background: transparent;
  color: var(--text);
  text-align: center;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  form
  :nth-child(2n):focus {
  border: 0.13rem solid var(--blockDisplayProfile);
  outline: none;
  text-align: center;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  form
  .btn {
  text-align: center;
  margin-top: 0.5rem;
  margin-bottom: 1rem;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  form
  .btn
  a {
  color: var(--mainGreyInvBorderBtn);
  text-decoration: none;
  font-weight: normal;
  border: 0.15rem solid var(--mainGreyInvBorderBtn);
  font-size: 0.8rem;
  padding: 0.5rem 1rem;
  border-radius: 0.5rem;
  margin-top: 0;
  background-color: transparent;
  transition: 0.3s ease;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  form
  .btn
  a:hover {
  border: 0.15rem solid var(--hoverGreyBorderBtn);
  color: var(--textOnBlockProfile);
  background-color: var(--hoverGreyBtn);
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  form
  .btn
  input {
  background-color: var(--mainSecondInvBtn);
  color: var(--mainSecondText);
  border: 0.15rem solid var(--mainSecondInvBorderBtn);
  font-size: 0.8rem;
  padding: 0.5rem 1rem;
  border-radius: 0.5rem;
  margin-top: 0;
  margin-left: 1rem;
  transition: 0.3s ease;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  form
  .btn
  input:hover {
  background-color: var(--hoverSecondBtn);
  border: 0.15rem solid var(--hoverSecondBorderBtn);
  color: var(--textOnBlockProfile);
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  form
  .btn
  input:active {
  background-color: var(--activeSecondBtn);
  border: 0.15rem solid var(--activeSecondBorderBtn);
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-btn-wrapper {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  padding: 2rem 2rem;
  border-top: 0.15rem solid var(--border);
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-btn-wrapper
  [type="radio"] {
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-btn-wrapper
  label {
  padding: 0.5rem 1rem;
  margin: 0.5rem;
  background: var(--mainHeroInvBtn);
  border-radius: 0.5rem;
  color: var(--mainHeroText);
  font-size: 0.8rem;
  font-weight: bold;
  transition: 0.3s ease;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-btn-wrapper
  label:hover {
  background: var(--hoverHeroBtn);
  color: #ffffff;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-btn-wrapper
  label:active {
  background: var(--activeHeroBtn);
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset {
  max-width: 300px;
  border: none;
  font-size: 0.8rem;
  padding: 0.8rem 1rem;
  border-radius: 0.5rem;
  color: var(--textOnBlockProfile);
  background-color: var(--mainWarnBtn);
  transition: 0.3s ease;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset:hover {
  background-color: var(--hoverWarnBtn);
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset:active {
  background-color: var(--activeWarnBtn);
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal {
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: #00000066;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content {
  background-color: var(--btnTrans);
  margin: 3% auto;
  padding: 20px;
  width: 75%;
  border-radius: 10px;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  form {
  border-bottom: none;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  .close {
  color: var(--text);
  float: right;
  font-size: 28px;
  font-weight: bold;
  background-color: transparent;
  border: none;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  .close:hover,
.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  .close:focus {
  color: #000000;
  text-decoration: none;
  cursor: pointer;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  .modal-flexin {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  .modal-flexin
  button {
  color: var(--mainSecondText);
  width: 50%;
  margin: 1rem auto 0;
  border-radius: 0.5rem;
  border: 0.15rem solid var(--mainSecondInvBorderBtn);
  background-color: var(--mainSecondInvBtn);
  transition: 0.3s ease;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  .modal-flexin
  button:hover {
  background-color: var(--hoverSecondBtn);
  border: 0.15rem solid var(--hoverSecondBorderBtn);
  color: var(--textOnBlockProfile);
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  .modal-flexin
  button:active {
  border: 0.15rem solid var(--activeSecondBorderBtn);
  background-color: var(--activeSecondBtn);
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  form
  :first-child {
  width: 90%;
  font-weight: normal;
  border-radius: 15px;
  text-align: center;
  height: 30px;
  margin-top: 1rem;
  padding: 0.5rem 1rem;
  border: 0.13rem solid var(--border);
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  form
  :first-child:focus {
  border: 0.13rem solid var(--mainSecondBorderBtn);
  outline: none;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  form
  :last-child {
  width: 50%;
  margin: 0.5rem 0 0;
  border: none;
  padding: 0.7rem 0;
  color: var(--textOnBlockProfile);
  background-color: var(--mainWarnBtn);
  transition: 0.3s ease;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  form
  :last-child:hover,
.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset:hover {
  background-color: var(--hoverWarnBtn);
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  form
  :last-child:active,
.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset:active {
  background-color: var(--activeWarnBtn);
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  .avatar-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  .avatar-container
  [type="radio"] {
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  .avatar-container
  label
  .avatar-wrap {
  width: 100px;
  height: 100px;
  position: relative;
  overflow: hidden;
  background-color: var(--mainSecondBtn);
  border-radius: 10px;
  border: 0.3rem solid var(--btnTrans);
  cursor: pointer;
  transition: 0.3s ease;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  .avatar-container
  label
  .avatar-wrap
  img {
  transition: 0.5s ease;
  opacity: 1;
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
  max-height: 70%;
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  .avatar-container
  [type="radio"]:checked
  + label
  .avatar-wrap {
  background-color: var(--choosenAva);
}

.setting-container
  .setting-wrapping
  .setting-right
  .setting-right-wrapper
  .reset-modal
  .reset-modal-content
  button {
  margin-top: 1rem;
  padding: 0.5rem 1rem;
  box-sizing: border-box;
}

@media screen and (min-width: 600px) {
  .setting-container .setting-wrapping {
    display: flex;
    justify-content: center;
  }

  .setting-container .setting-wrapping .setting-left .setting-left-wrapper {
    max-width: 300px;
    margin-bottom: 0;
  }

  .setting-container .setting-wrapping .setting-right .setting-right-wrapper {
    margin-left: 1rem;
  }

  .setting-container
    .setting-wrapping
    .setting-right
    .setting-right-wrapper
    .title {
    border-radius: 0;
  }
}

@media screen and (min-width: 766px) {
  .setting-container .setting-wrapping .setting-left .setting-left-wrapper {
    width: 385px;
  }
  .setting-container .setting-wrapping .setting-right {
    width: 100%;
    min-width: 309px;
  }
  .setting-container
    .setting-wrapping
    .setting-right
    .setting-right-wrapper
    .reset-modal
    .reset-modal-content
    .modal-flexin
    button {
    width: 25%;
  }
}

@media screen and (min-width: 950px) {
  .setting-container .setting-wrapping {
    justify-content: center;
  }

  .setting-container .setting-wrapping .setting-right {
    width: 507px;
  }
}

@media screen and (min-width: 1125px) {
  .setting-container .setting-wrapping .setting-left .setting-left-wrapper {
    width: 550px;
    max-width: none;
  }

  .setting-container .setting-wrapping .setting-right {
    width: 540px;
  }
}

@keyframes animation-loading {
  0% {
    background-position: -300px center;
  }
  100% {
    background-position: 300px center;
  }
}
